//-----------------------------------------------------------------------------
// Copyright  2000 - Philip Howard - All rights reserved
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//-----------------------------------------------------------------------------
// package	avlmap
// homepage	http://phil.ipal.org/freeware/
//-----------------------------------------------------------------------------
// author	Philip Howard
// email	phil@ipal.org
// homepage	http://phil.ipal.org/
//-----------------------------------------------------------------------------
// This file is best viewed using a fixed spaced font such as Courier
// and in a display at least 112 columns wide.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// file		map_lib.h
//
// purpose	Define resources for the data MAPping library package that
//		are needed only by the library source code itself.
//-----------------------------------------------------------------------------
#ifndef __MAP_LIB_H__
#define __MAP_LIB_H__

//-----------------------------------------------------------------------------
// includes
//-----------------------------------------------------------------------------
#include "map.h"

//-----------------------------------------------------------------------------
// struct	map_mixed
//
// purpose	This structure holds data for each node.
//-----------------------------------------------------------------------------
struct map_mixed {
    union map_data {
	union map_scalar {
	    signed char		sc	;
	    unsigned char	uc	;
	    signed short	ss	;
	    unsigned short	us	;
	    signed int		si	;
	    unsigned int	ui	;
	    signed long		sl	;
	    unsigned long	ul	;
	    signed long long	sll	;
	    unsigned long long	ull	;
	    double		d	;
	    long double		ld	;
	    void *		ptr	;
	}		scalar	;
	struct map_string {
	    void *		ptr	;
	    size_t		len	;
	    char		dup	;
	}		string	;
    }		mix	;
    int		type	;
};
typedef struct map_mixed	map_mixed	;

//-----------------------------------------------------------------------------
// macros
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// functions
//-----------------------------------------------------------------------------

#endif /* __MAP_LIB_H__ */
