//-----------------------------------------------------------------------------
// Copyright  2000 - Philip Howard - All rights reserved
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//-----------------------------------------------------------------------------
// package	avlmap
// homepage	http://phil.ipal.org/freeware/
//-----------------------------------------------------------------------------
// author	Philip Howard
// email	phil@ipal.org
// homepage	http://phil.ipal.org/
//-----------------------------------------------------------------------------
// This file is best viewed using a fixed spaced font such as Courier
// and in a display at least 112 columns wide.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// file		map_ssa.c
//
// purpose	Define functions varied for the signed short array type.
//-----------------------------------------------------------------------------

#include "map_lib.h"

//-----------------------------------------------------------------------------
// functions	map_ssa_new
//		map_ssa_compare
//		map_ssa_compare_alt
//		map_ssa_find
//		map_ssa_find_exact
//		map_ssa_find_exact_lo
//		map_ssa_find_lo_or_near
//		map_ssa_find_exact_hi
//		map_ssa_find_hi_or_near
//		map_ssa_insert
//		map_ssa_insert_dup
//		map_ssa_key_ptr
//		map_ssa_key_dup
//		map_ssa_key_copy
//		map_ssa_key_len
//		map_ssa_store
//		map_ssa_store_share
//		map_ssa_fetch_ptr
//		map_ssa_fetch_dup
//		map_ssa_fetch_copy
//		map_ssa_fetch_len
//
// For descriptions of each function, see map_array_lib.h
//-----------------------------------------------------------------------------

#define map_xx_new		map_ssa_new
#define map_xx_compare		map_ssa_compare
#define map_xx_compare_alt	map_ssa_compare_alt
#define map_xx_find		map_ssa_find
#define map_xx_find_exact	map_ssa_find_exact
#define map_xx_find_exact_lo	map_ssa_find_exact_lo
#define map_xx_find_lo_or_near	map_ssa_find_lo_or_near
#define map_xx_find_exact_hi	map_ssa_find_exact_hi
#define map_xx_find_hi_or_near	map_ssa_find_hi_or_near
#define map_xx_insert		map_ssa_insert
#define map_xx_insert_dup	map_ssa_insert_dup
#define map_xx_key_ptr		map_ssa_key_ptr
#define map_xx_key_dup		map_ssa_key_dup
#define map_xx_key_copy		map_ssa_key_copy
#define map_xx_key_len		map_ssa_key_len
#define map_xx_store		map_ssa_store
#define map_xx_store_share	map_ssa_store_share
#define map_xx_fetch_ptr	map_ssa_fetch_ptr
#define map_xx_fetch_dup	map_ssa_fetch_dup
#define map_xx_fetch_copy	map_ssa_fetch_copy
#define map_xx_fetch_len	map_ssa_fetch_len

#define MAP_TYPE_CODE		MAP_DATA_SSA

#define map_type		signed short

#include "map_array_lib.h"
